/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*- */

/*
 * Copyright (C) 2000 Eazel, Inc
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Andrew Burr <burra@colorado.edu>
 */

#include "nautilus-rpm-view.h"
#include <libnautilus/nautilus-view-standard-main.h>

#define FACTORY_IID  "OAFIID:nautilus_rpm_view_factory:f027cfe3-f1d9-4ee9-bcd4-ba922403f42a"
#define VIEW_IID     "OAFIID:nautilus_rpm_view:d19b086b-b50e-4a73-ade3-7ac942ff05e6"

#define EXECUTABLE_NAME "nautilus-rpm-view"
#define GET_TYPE_FUNCTION nautilus_rpm_view_get_type

int
main (int argc, char *argv[])
{
        return nautilus_view_standard_main (EXECUTABLE_NAME,
                                            VERSION,
                                            NULL,
                                            NULL,
                                            argc,
                                            argv,
                                            FACTORY_IID,
                                            VIEW_IID,
                                            nautilus_view_create_from_get_type_function,
                                            NULL,
                                            GET_TYPE_FUNCTION);
}
